<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{98B2225B-93BA-4A5B-B96F-7B47D75015AF}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>ProjectManagementSystem.Common</RootNamespace>
    <AssemblyName>ProjectManagementSystem.Common</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="HslCommunication">
      <HintPath>..\PmsDLL\HslCommunication.dll</HintPath>
    </Reference>
    <Reference Include="ICSharpCode.SharpZipLib, Version=1.3.2.10, Culture=neutral, PublicKeyToken=1b03e6acf1164f73, processorArchitecture=MSIL">
      <HintPath>..\packages\SharpZipLib.1.3.2\lib\net45\ICSharpCode.SharpZipLib.dll</HintPath>
    </Reference>
    <Reference Include="MiniExcel">
      <HintPath>..\PmsDLL\MiniExcel.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=12.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\PmsDLL\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="Pms.Models">
      <HintPath>..\PmsDLL\Pms.Models.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Config\ExcelConfig.cs" />
    <Compile Include="Core\BoxControl.cs" />
    <Compile Include="Core\PlcControl.cs" />
    <Compile Include="Device\BoxFactory.cs" />
    <Compile Include="Extenions\EnumExtenions.cs" />
    <Compile Include="Function\AppSetting.cs" />
    <Compile Include="Function\InstanceConstructor.cs" />
    <Compile Include="Function\ZipUtility.cs" />
    <Compile Include="Log\CLog.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="WebApi\PmsApi.cs" />
    <Compile Include="WebApi\ScaleApi.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\DbCommon\DbCommon.csproj">
      <Project>{29e941ee-35d4-44d1-bc52-e5ffc3b2d047}</Project>
      <Name>DbCommon</Name>
    </ProjectReference>
    <ProjectReference Include="..\ProjectManagementSystem.Device\ProjectManagementSystem.Device.csproj">
      <Project>{534ff428-01ee-44ec-92f3-6da3676155a2}</Project>
      <Name>ProjectManagementSystem.Device</Name>
    </ProjectReference>
    <ProjectReference Include="..\ProjectManagementSystem.Model\ProjectManagementSystem.Model.csproj">
      <Project>{6a437430-7938-4303-9d4c-3e11964e570e}</Project>
      <Name>ProjectManagementSystem.Model</Name>
    </ProjectReference>
    <ProjectReference Include="..\ProjectManagementSystem.WebApiClient\ProjectManagementSystem.WebApiClient.csproj">
      <Project>{86492c3b-214e-4d5d-a82e-88cc29d61c36}</Project>
      <Name>ProjectManagementSystem.WebApiClient</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>